Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -5706,6 +11110,6 @@
 and Minolta EX1500Z.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       8    KodakMaker                           string[32]
      40    KodakModel                           string[32]
@@ -5717,6 +11121,6 @@
 These tags are used by the DC240, DC280, DC3400 and DC5000.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
      12    YearCreated                          int16u
      14    MonthDayCreated                      int8u[2]
@@ -5732,6 +11136,6 @@
 These tags are used by the DC200 and DC215.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
      32    OriginalFileName                     string[12]
 
@@ -5741,6 +11145,6 @@
 and CX6230.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
      20    ExposureTime                         int32u
      26    WhiteBalance                         int8u
@@ -5757,6 +11161,6 @@
 These tags are used by the DX3215 and DX3700.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
      16    ExposureTime                         int32u
      20    ISOSetting?                          int32u
@@ -5776,6 +11180,6 @@
 by 8 digits.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    SerialNumber                         string[16]
 
@@ -5831,6 +11235,6 @@
   0xfa54   ThumbnailWidth                       int16u
   0xfa55   ThumbnailHeight                      int16u
-  0xfa57   PreviewWidth                         int16u
-  0xfa58   PreviewHeight                        int16u
+  0xfa57   PreviewImageWidth                    int16u
+  0xfa58   PreviewImageHeight                   int16u
 
 =head3 Kodak SubIFD1 Tags
@@ -5904,6 +11308,6 @@
 M550, as well as various cameras marketed by other manufacturers.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
      12    FNumber                              int16u
      16    ExposureTime                         int32u
@@ -5911,5 +11315,6 @@
      52    ISO                                  int16u
      87    FirmwareVersion                      string[16]
-    168    SerialNumber                         string[12]
+    168    UnknownNumber                        no
+    196    UnknownNumber                        no
 
 =head3 Kodak Type10 Tags
@@ -5926,88 +11331,31 @@
   0x001d   FocalLength                          int32u
 
+=head3 Kodak Type11 Tags
+
+These tags are found in models such as the PixPro S-1.  They are not
+writable because the inconsistency of Kodak maker notes is beginning to get
+on my nerves.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0104   FirmwareVersion                      no
+  0x0203   PictureEffect                        no
+  0x0207   KodakModel                           no
+  0x0300   KodakMake                            no
+  0x0308   LensSerialNumber                     no
+  0x0309   LensModel                            no
+  0x030d   LevelMeter?                          no
+  0x0311   Pitch                                no
+  0x0312   Yaw                                  no
+  0x0313   Roll                                 no
+  0x0314   CX?                                  no
+  0x0315   CY?                                  no
+  0x0316   Rads?                                no
+
 =head3 Kodak Unknown Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
-
-=head3 Kodak IFD Tags
-
-These tags are found in a separate IFD of JPEG, TIFF, DCR and KDC images
-from some older Kodak models such as the DC50, DC120, DCS760C, DCS Pro 14N,
-14nx, SLR/n, Pro Back and Canon EOS D2000.
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  0x0001   UnknownEV?                           rational64u
-  0x0003   ExposureValue                        rational64u
-  0x03e9   OriginalFileName                     string
-  0x03eb   SensorLeftBorder                     N
-  0x03ec   SensorTopBorder                      N
-  0x03ed   SensorImageWidth                     N
-  0x03ee   SensorImageHeight                    N
-  0x03f1   TextualInfo                          Kodak TextualInfo
-  0x03fc   WhiteBalance                         int16u
-  0x03fd   Processing                           Kodak Processing
-  0x0401   Time                                 string
-  0x0414   NCDFileInfo                          string
-  0x0846   ColorTemperature                     int16u
-  0x0852   WB_RGBMul0                           N
-  0x0853   WB_RGBMul1                           N
-  0x0854   WB_RGBMul2                           N
-  0x0855   WB_RGBMul3                           N
-  0x085c   WB_RGBCoeffs0                        N
-  0x085d   WB_RGBCoeffs1                        N
-  0x085e   WB_RGBCoeffs2                        N
-  0x085f   WB_RGBCoeffs3                        N
-  0x0ce5   FirmwareVersion                      string
-  0x1391   ToneCurveFileName                    string
-  0x1784   ISO                                  int32u
-
-=head3 Kodak TextualInfo Tags
-
-Below is a list of tags which have been observed in the Kodak TextualInfo
-data, however ExifTool will extract information from any tags found here.
-
-  Tag ID                Tag Name                Writable
-  ------                --------                --------
-  'AF Function'         AFMode                  N
-  'Actual Compensation' ActualCompensation      N
-  'Aperture'            Aperture                N
-  'Auto Bracket'        AutoBracket             N
-  'Brightness Value'    BrightnessValue         N
-  'Camera'              CameraModel             N
-  'Camera body'         CameraBody              N
-  'Compensation'        ExposureCompensation    N
-  'Date'                Date                    N
-  'Exposure Bias'       ExposureBias            N
-  'Exposure Mode'       ExposureMode            N
-  'Firmware Version'    FirmwareVersion         N
-  'Flash Compensation'  FlashExposureComp       N
-  'Flash Fired'         FlashFired              N
-  'Flash Sync Mode'     FlashSyncMode           N
-  'Focal Length'        FocalLength             N
-  'Height'              KodakImageHeight        N
-  'ISO'                 ISO                     N
-  'ISO Speed'           ISO                     N
-  'Image Number'        ImageNumber             N
-  'Max Aperture'        MaxAperture             N
-  'Meter Mode'          MeterMode               N
-  'Min Aperture'        MinAperture             N
-  'Popup Flash'         PopupFlash              N
-  'Serial Number'       SerialNumber            N
-  'Shooting Mode'       ShootingMode            N
-  'Shutter'             ShutterSpeed            N
-  'Temperature'         Temperature             N
-  'Time'                Time                    N
-  'White balance'       WhiteBalance            N
-  'Width'               KodakImageWidth         N
-  '_other_info'         OtherInfo               N
-
-=head3 Kodak Processing Tags
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     20    WB_RGBLevels                         N
 
 =head3 Kodak Meta Tags
@@ -6020,38 +11368,38 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0xc350   FilmProductCode                      N
-  0xc351   ImageSourceEK                        N
-  0xc352   CaptureConditionsPAR                 N
+  0xc350   FilmProductCode                      no
+  0xc351   ImageSourceEK                        no
+  0xc352   CaptureConditionsPAR                 no
   0xc353   CameraOwner                          undef
   0xc354   SerialNumber                         undef
-  0xc355   UserSelectGroupTitle                 N
-  0xc356   DealerIDNumber                       N
-  0xc357   CaptureDeviceFID                     N
-  0xc358   EnvelopeNumber                       N
-  0xc359   FrameNumber                          N
-  0xc35a   FilmCategory                         N
-  0xc35b   FilmGencode                          N
-  0xc35c   ModelAndVersion                      N
-  0xc35d   FilmSize                             N
-  0xc35e   SBA_RGBShifts                        N
-  0xc35f   SBAInputImageColorspace              N
-  0xc360   SBAInputImageBitDepth                N
-  0xc361   SBAExposureRecord                    N
-  0xc362   UserAdjSBA_RGBShifts                 N
-  0xc363   ImageRotationStatus                  N
-  0xc364   RollGuidElements                     N
-  0xc365   MetadataNumber                       N
-  0xc366   EditTagArray                         N
-  0xc367   Magnification                        N
-  0xc36c   NativeXResolution                    N
-  0xc36d   NativeYResolution                    N
+  0xc355   UserSelectGroupTitle                 no
+  0xc356   DealerIDNumber                       no
+  0xc357   CaptureDeviceFID                     no
+  0xc358   EnvelopeNumber                       no
+  0xc359   FrameNumber                          no
+  0xc35a   FilmCategory                         no
+  0xc35b   FilmGencode                          no
+  0xc35c   ModelAndVersion                      no
+  0xc35d   FilmSize                             no
+  0xc35e   SBA_RGBShifts                        no
+  0xc35f   SBAInputImageColorspace              no
+  0xc360   SBAInputImageBitDepth                no
+  0xc361   SBAExposureRecord                    no
+  0xc362   UserAdjSBA_RGBShifts                 no
+  0xc363   ImageRotationStatus                  no
+  0xc364   RollGuidElements                     no
+  0xc365   MetadataNumber                       no
+  0xc366   EditTagArray                         no
+  0xc367   Magnification                        no
+  0xc36c   NativeXResolution                    no
+  0xc36d   NativeYResolution                    no
   0xc36e   KodakEffectsIFD                      Kodak SpecialEffects
   0xc36f   KodakBordersIFD                      Kodak Borders
-  0xc37a   NativeResolutionUnit                 N
-  0xc418   SourceImageDirectory                 N
-  0xc419   SourceImageFileName                  N
-  0xc41a   SourceImageVolumeName                N
-  0xc46c   PrintQuality                         N
-  0xc46e   ImagePrintStatus                     N
+  0xc37a   NativeResolutionUnit                 no
+  0xc418   SourceImageDirectory                 no
+  0xc419   SourceImageFileName                  no
+  0xc41a   SourceImageVolumeName                no
+  0xc46c   PrintQuality                         no
+  0xc46e   ImagePrintStatus                     no
 
 =head3 Kodak SpecialEffects Tags
@@ -6062,7 +11410,7 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   DigitalEffectsVersion                N
-  0x0001   DigitalEffectsName                   N
-  0x0002   DigitalEffectsType                   N
+  0x0000   DigitalEffectsVersion                no
+  0x0001   DigitalEffectsName                   no
+  0x0002   DigitalEffectsType                   no
 
 =head3 Kodak Borders Tags
@@ -6070,10 +11418,10 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   BordersVersion                       N
-  0x0001   BorderName                           N
-  0x0002   BorderID                             N
-  0x0003   BorderLocation                       N
-  0x0004   BorderType                           N
-  0x0008   WatermarkType                        N
+  0x0000   BordersVersion                       no
+  0x0001   BorderName                           no
+  0x0002   BorderID                             no
+  0x0003   BorderLocation                       no
+  0x0004   BorderType                           no
+  0x0008   WatermarkType                        no
 
 =head3 Kodak KDC_IFD Tags
@@ -6086,23 +11434,97 @@
   0xfa00   SerialNumber                         string
   0xfa0d   WhiteBalance                         int8u
-  0xfa25   WB_RGBLevelsAuto                     N
-  0xfa27   WB_RGBLevelsTungsten                 N
-  0xfa28   WB_RGBLevelsFluorescent              N
-  0xfa29   WB_RGBLevelsDaylight                 N
-  0xfa2a   WB_RGBLevelsShade                    N
+  0xfa25   WB_RGBLevelsAuto                     no
+  0xfa27   WB_RGBLevelsTungsten                 no
+  0xfa28   WB_RGBLevelsFluorescent              no
+  0xfa29   WB_RGBLevelsDaylight                 no
+  0xfa2a   WB_RGBLevelsShade                    no
+
+=head3 Kodak frea Tags
+
+Information stored in the "frea" atom of Kodak PixPro SP360 MP4 videos.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'scra'   PreviewImage                         no
+  'thma'   ThumbnailImage                       no
+  'tima'   Duration                             no
+  'ver '   KodakVersion                         no
+
+=head3 Kodak Free Tags
+
+Information stored in the "free" atom of Kodak MP4 videos. (VERY bad form
+for Kodak to store useful information in an atom intended for unused space!)
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'AprV'   ApertureValue                        no
+  'BrtV'   BrightnessValue                      no
+  'Expc'   ExposureCompensation                 no
+  'Expo'   ExposureTime                         no
+  'FL35'   FocalLengthIn35mmFormat              no
+  'FNum'   FNumber                              no
+  'FoLn'   FocalLength                          no
+  'ISOS'   ISO                                  no
+  'SVer'   FirmwareVersion                      no
+  'Scrn'   PreviewInfo                          Kodak Scrn
+  'Seri'   SerialNumber                         no
+  'StSV'   ShutterSpeedValue                    no
+
+=head3 Kodak Scrn Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    PreviewImageWidth                    no
+      1    PreviewImageHeight                   no
+      2    PreviewImageLength                   no
+      4    PreviewImage                         no
+
+=head3 Kodak DcMD Tags
+
+Metadata directory found in MOV and MP4 videos from some Kodak cameras.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'CMbo'   CameraByteOrder                      no
+  'Cmbo'   CameraByteOrder                      no
+  'DcEM'   DcEM                                 Kodak DcEM
+  'DcME'   DcME                                 Kodak DcME
+
+=head3 Kodak DcEM Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 Kodak DcME Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
 
 =head3 Kodak MOV Tags
 
-This information is found in Kodak MOV videos from models such as the P880.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     22    Model                                N
-     64    ModelType                            N
-     78    ExposureTime                         N
-     82    FNumber                              N
-     90    ExposureCompensation                 N
-    112    FocalLength                          N
+This information is found in the TAGS atom of MOV videos from Kodak models
+such as the P880.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     22    Model                                no
+     64    ModelType                            no
+     78    ExposureTime                         no
+     82    FNumber                              no
+     90    ExposureCompensation                 no
+    112    FocalLength                          no
+
+=head3 Kodak pose Tags
+
+Streamed orientation information from the PixPro 4KVR360, extracted as
+sub-documents when the Duplicates option is used.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'Accelerometer'      Accelerometer            no
+  'AngularVelocity'    AngularVelocity          no
 
 =head2 Leaf Tags
@@ -6116,15 +11538,15 @@
   Tag ID                          Tag Name      Writable
   ------                          --------      --------
-  'JPEG_preview_data'             PreviewImage  undef
-  'JPEG_preview_info'             PreviewInfo   N
-  'PDA_histogram_data'            PDAHistogram  N
-  'back_serial_number'            BackSerial    N
+  'JPEG_preview_data'             PreviewImage  no
+  'JPEG_preview_info'             PreviewInfo   no
+  'PDA_histogram_data'            PDAHistogram  no
+  'back_serial_number'            BackSerial    no
   'camera_profile'                CameraProfile Leaf CameraProfile
   'icc_camera_profile'            ICC_Profile   ICC_Profile
-  'icc_camera_to_tone_matrix'     ToneMatrix    N
-  'icc_camera_to_tone_space_flow' ToneSpaceFlow N
+  'icc_camera_to_tone_matrix'     ToneMatrix    no
+  'icc_camera_to_tone_space_flow' ToneSpaceFlow no
   'icc_rgb_ws_profile'            RGB_Profile   ICC_Profile
-  'image_offset'                  ImageOffset   N
-  'pattern_ratation_angle'        PatternAngle  N
+  'image_offset'                  ImageOffset   no
+  'pattern_ratation_angle'        PatternAngle  no
 
 =head3 Leaf CameraProfile Tags
@@ -6135,10 +11557,10 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          CameraBackType           N
+  'back_type'          CameraBackType           no
   'capture_profile'    CaptureProfile           Leaf CaptureProfile
   'image_profile'      ImageProfile             Leaf ImageProfile
-  'name'               CameraName               N
-  'type'               CameraType               N
-  'version'            CameraProfileVersion     N
+  'name'               CameraName               no
+  'type'               CameraType               no
+  'version'            CameraProfileVersion     no
 
 =head3 Leaf CaptureProfile Tags
@@ -6149,27 +11571,27 @@
   Tag ID                 Tag Name               Writable
   ------                 --------               --------
-  'CCD_rect'             CCDRect                N
-  'CCD_valid_rect'       CCDValidRect           N
-  'CCD_video_rect'       CCDVideoRect           N
-  'back_type'            CaptProfBackType       N
-  'center_dark_rect'     CenterDarkRect         N
-  'color_averages'       ColorAverages          N
-  'color_matrix'         ColorMatrix            N
-  'dark_correction_type' DarkCorrectionType     N
-  'image_bounds'         ImageBounds            N
-  'image_fields'         ImageFields            N
-  'image_offset'         ImageOffset            N
-  'left_dark_rect'       LeftDarkRect           N
-  'luminance_consts'     LuminanceConsts        N
-  'mosaic_pattern'       MosaicPattern          N
-  'name'                 CaptProfName           N
-  'number_of_planes'     NumberOfPlanes         N
-  'raw_data_rotation'    RawDataRotation        N
-  'reconstruction_type'  ReconstructionType     N
-  'right_dark_rect'      RightDarkRect          N
-  'serial_number'        CaptureSerial          N
-  'type'                 CaptProfType           N
-  'version'              CaptProfVersion        N
-  'xy_offset_info'       XYOffsetInfo           N
+  'CCD_rect'             CCDRect                no
+  'CCD_valid_rect'       CCDValidRect           no
+  'CCD_video_rect'       CCDVideoRect           no
+  'back_type'            CaptProfBackType       no
+  'center_dark_rect'     CenterDarkRect         no
+  'color_averages'       ColorAverages          no
+  'color_matrix'         ColorMatrix            no
+  'dark_correction_type' DarkCorrectionType     no
+  'image_bounds'         ImageBounds            no
+  'image_fields'         ImageFields            no
+  'image_offset'         ImageOffset            no
+  'left_dark_rect'       LeftDarkRect           no
+  'luminance_consts'     LuminanceConsts        no
+  'mosaic_pattern'       MosaicPattern          no
+  'name'                 CaptProfName           no
+  'number_of_planes'     NumberOfPlanes         no
+  'raw_data_rotation'    RawDataRotation        no
+  'reconstruction_type'  ReconstructionType     no
+  'right_dark_rect'      RightDarkRect          no
+  'serial_number'        CaptureSerial          no
+  'type'                 CaptProfType           no
+  'version'              CaptProfVersion        no
+  'xy_offset_info'       XYOffsetInfo           no
 
 =head3 Leaf ImageProfile Tags
@@ -6180,11 +11602,11 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          ImgProfBackType          N
-  'image_status'       ImageStatus              N
-  'name'               ImgProfName              N
-  'rotation_angle'     RotationAngle            N
+  'back_type'          ImgProfBackType          no
+  'image_status'       ImageStatus              no
+  'name'               ImgProfName              no
+  'rotation_angle'     RotationAngle            no
   'shoot_setup'        ShootSetup               Leaf ShootSetup
-  'type'               ImgProfType              N
-  'version'            ImgProfVersion           N
+  'type'               ImgProfType              no
+  'version'            ImgProfVersion           no
 
 =head3 Leaf ShootSetup Tags
@@ -6195,13 +11617,13 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          ShootObjBackType         N
+  'back_type'          ShootObjBackType         no
   'camera_setup'       CameraSetup              Leaf CameraSetup
   'capture_setup'      CaptureSetup             Leaf CaptureSetup
   'color_setup'        ColorSetup               Leaf ColorSetup
   'look_header'        LookHeader               Leaf LookHeader
-  'name'               ShootObjName             N
+  'name'               ShootObjName             no
   'save_setup'         SaveSetup                Leaf SaveSetup
-  'type'               ShootObjType             N
-  'version'            ShootObjVersion          N
+  'type'               ShootObjType             no
+  'version'            ShootObjVersion          no
 
 =head3 Leaf CameraSetup Tags
@@ -6212,13 +11634,13 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'ISO_speed'          ISOSpeed                 N
-  'back_type'          CameraObjBackType        N
-  'camera_type'        CameraType               N
-  'lens_ID'            LensID                   N
-  'lens_type'          LensType                 N
-  'name'               CameraObjName            N
-  'strobe'             Strobe                   N
-  'type'               CameraObjType            N
-  'version'            CameraObjVersion         N
+  'ISO_speed'          ISOSpeed                 no
+  'back_type'          CameraObjBackType        no
+  'camera_type'        CameraType               no
+  'lens_ID'            LensID                   no
+  'lens_type'          LensType                 no
+  'name'               CameraObjName            no
+  'strobe'             Strobe                   no
+  'type'               CameraObjType            no
+  'version'            CameraObjVersion         no
 
 =head3 Leaf CaptureSetup Tags
@@ -6229,14 +11651,14 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'Multi_quality'      MultiQuality             N
-  'back_type'          CaptureObjBackType       N
-  'name'               CaptureObjName           N
+  'Multi_quality'      MultiQuality             no
+  'back_type'          CaptureObjBackType       no
+  'name'               CaptureObjName           no
   'neutals'            Neutals                  Leaf Neutrals
   'selection'          Selection                Leaf Selection
   'sharpness'          Sharpness                Leaf Sharpness
-  'single_quality'     SingleQuality            N
+  'single_quality'     SingleQuality            no
   'tone_curve'         ToneCurve                Leaf ToneCurve
-  'type'               CaptureObjType           N
-  'version'            CaptureObjVersion        N
+  'type'               CaptureObjType           no
+  'version'            CaptureObjVersion        no
 
 =head3 Leaf Neutrals Tags
@@ -6247,12 +11669,12 @@
   Tag ID                 Tag Name               Writable
   ------                 --------               --------
-  'back_type'            NeutObjBackType        N
-  'color_casts'          ColorCasts             N
-  'highlight_end_points' HighlightEndPoints     N
-  'name'                 NeutObjName            N
-  'neutrals'             Neutrals               N
-  'shadow_end_points'    ShadowEndPoints        N
-  'type'                 NeutObjType            N
-  'version'              NeutObjVersion         N
+  'back_type'            NeutObjBackType        no
+  'color_casts'          ColorCasts             no
+  'highlight_end_points' HighlightEndPoints     no
+  'name'                 NeutObjName            no
+  'neutrals'             Neutrals               no
+  'shadow_end_points'    ShadowEndPoints        no
+  'type'                 NeutObjType            no
+  'version'              NeutObjVersion         no
 
 =head3 Leaf Selection Tags
@@ -6263,13 +11685,13 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          SelObjBackType           N
-  'locks'              Locks                    N
-  'name'               SelObjName               N
-  'orientation'        Orientation              N
-  'rect'               Rect                     N
-  'resolution'         Resolution               N
-  'scale'              Scale                    N
-  'type'               SelObjType               N
-  'version'            SelObjVersion            N
+  'back_type'          SelObjBackType           no
+  'locks'              Locks                    no
+  'name'               SelObjName               no
+  'orientation'        Orientation              no
+  'rect'               Rect                     no
+  'resolution'         Resolution               no
+  'scale'              Scale                    no
+  'type'               SelObjType               no
+  'version'            SelObjVersion            no
 
 =head3 Leaf Sharpness Tags
@@ -6280,11 +11702,11 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          SharpObjBackType         N
-  'data_len'           DataLen                  N
-  'name'               SharpObjName             N
-  'sharp_info'         SharpInfo                N
-  'sharp_method'       SharpMethod              N
-  'type'               SharpObjType             N
-  'version'            SharpObjVersion          N
+  'back_type'          SharpObjBackType         no
+  'data_len'           DataLen                  no
+  'name'               SharpObjName             no
+  'sharp_info'         SharpInfo                no
+  'sharp_method'       SharpMethod              no
+  'type'               SharpObjType             no
+  'version'            SharpObjVersion          no
 
 =head3 Leaf ToneCurve Tags
@@ -6295,11 +11717,11 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          ToneObjBackType          N
-  'gamma'              Gamma                    N
-  'name'               ToneObjName              N
-  'npts'               Npts                     N
-  'tones'              Tones                    N
-  'type'               ToneObjType              N
-  'version'            ToneObjVersion           N
+  'back_type'          ToneObjBackType          no
+  'gamma'              Gamma                    no
+  'name'               ToneObjName              no
+  'npts'               Npts                     no
+  'tones'              Tones                    no
+  'type'               ToneObjType              no
+  'version'            ToneObjVersion           no
 
 =head3 Leaf ColorSetup Tags
@@ -6310,13 +11732,13 @@
   Tag ID               Tag Name                 Writable
   ------               --------                 --------
-  'back_type'          ColorObjBackType         N
-  'color_mode'         ColorMode                N
-  'color_type'         ColorType                N
-  'has_ICC'            HasICC                   N
-  'input_profile'      InputProfile             N
-  'name'               ColorObjName             N
-  'output_profile'     OutputProfile            N
-  'type'               ColorObjType             N
-  'version'            ColorObjVersion          N
+  'back_type'          ColorObjBackType         no
+  'color_mode'         ColorMode                no
+  'color_type'         ColorType                no
+  'has_ICC'            HasICC                   no
+  'input_profile'      InputProfile             no
+  'name'               ColorObjName             no
+  'output_profile'     OutputProfile            no
+  'type'               ColorObjType             no
+  'version'            ColorObjVersion          no
 
 =head3 Leaf LookHeader Tags
